import type { Input } from "./index.marko";
interface State {
    selectedIndex: number;
}
declare class SegmentedButtons extends Marko.Component<Input, State> {
    onCreate(): void;
    onInput(input: Input): void;
    onButtonClick(index: number, ev: PointerEvent): void;
}
export default SegmentedButtons;
